Bug 2027325 - F34FailsToInstall: rust-below-store-devel
Summary: F34FailsToInstall: rust-below-store-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-below-store
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F34FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-11-29 12:03 UTC by Miro Hrončok
Modified: 2022-01-15 01:21 UTC (History)
3 users (show)

Fixed In Version: rust-below-store-0.4.1-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-15 01:21:54 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-11-29 12:03:29 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (rust-below-store) Fails To Install in Fedora 34:

can't install rust-below-store-devel:
  - nothing provides crate(zstd/default) = 0.8.0 needed by rust-below-store-devel-0.4.0-1.fc34.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-12-11 01:16:24 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Miro Hrončok 2022-01-03 13:20:51 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Michel Alexandre Salim 2022-01-05 18:05:57 UTC
This was broken by https://bodhi.fedoraproject.org/updates/FEDORA-2021-b9e6038b3b. Not sure why rust-below wasn't included in the update set, I'll check.

Comment 4 Michel Alexandre Salim 2022-01-06 04:24:24 UTC
Checked with decathorpe, this was left out from the November updates because he wasn't sure we want to update yet, and @dcavalca and I didn't update yet because it needed newer dependencies that are in the November update :p

The below packages are being built in a side tag now.

Comment 5 Fedora Update System 2022-01-06 07:39:41 UTC
FEDORA-2022-c6a6b1d10e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c6a6b1d10e

Comment 6 Fedora Update System 2022-01-07 02:09:01 UTC
FEDORA-2022-c6a6b1d10e has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-c6a6b1d10e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c6a6b1d10e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-01-15 01:21:54 UTC
FEDORA-2022-c6a6b1d10e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.